TrustKeeper Scan Engine Update - April 19, 2013

The latest update to the TrustKeeper Scan Engine is now available. It adds coverage for more than 20 vulnerabilities, including several recent vulnerabilities that are likely to affect many websites running on Ruby on Rails, WordPress, Drupal and/or Moodle. Newly covered vulnerabilities also include recent denial-of-service vulns in Cisco IOS and ISC BIND, likely to affect many administrators as well.

New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

* Cisco IOS Software Internet Key Exchange Vulnerability (cisco-sa-20130327-ike) (CVE-2013-1144)

* Drupal Blocked User Information Leakage (CVE-2012-5651)
* Drupal File Upload Code Execution with Null Byte Bypass (CVE-2012-5653)
* Drupal RSS Feed Uploaded File Information Leakage (CVE-2012-5652)

* ISC BIND Regular Expression DoS Vulnerability (CVE-2013-2266)

* Moodle Form Manipulation Vulnerability (CVE-2013-1834)
* Moodle Personal Information Leakage Vulnerability (CVE-2013-1835)
* Moodle Unauthorized WebDav Access Privilege Vulnerability (CVE-2013-1836)
* Moodle WebDav Password Disclosure Vulnerability (CVE-2013-1832)

Ruby on Rails
* Ruby on Rails actionpack Manually Generated Select Tag Options XSS (CVE-2012-1099)
* Ruby on Rails actionpack with_http_digest Helper Method Remote DoS (CVE-2012-3424)
* Ruby on Rails select_tag Helper Method prompt Value XSS (CVE-2012-3463)
* Ruby on Rails strip_tags Helper Method XSS (CVE-2012-3465)
* Ruby on Rails Symbol DoS vulnerability in Active Record (CVE-2013-1854)
* Ruby on Rails XML Parsing Vulnerability affecting JRuby users (CVE-2013-1856)
* Ruby on Rails XSS vulnerability in sanitize_css in Action Pack (CVE-2013-1855)
* Ruby on Rails XSS Vulnerability in the sanitize helper of Ruby on Rails (CVE-2013-1857)

* Samba AD World-Writeable Permissions on Non-Default CIFS Shares (CVE-2013-1863)
* Samba Improper CIFS Share Attribute Enforcement (CVE-2013-0454)

* WordPress Sessions Not Terminated After User Logout (CVE-2012-5868)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates automatically as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.